%define snapshot 20060519

Name: foomatic-db
Version: 3.0.2
Release: alt3

Summary: Foomatic printer database
License: GPL
Group: Publishing

BuildArch: noarch


Url: http://www.linuxprinting.org

Source: http://www.linuxprinting.org/download/foomatic/foomatic-db-%snapshot.tar.bz2
# Perl script to clean up Manufacturer entries in the PPD files, so that
# drivers are sorted by the printer manufacturer in the graphical frontends
Source2:	cleanppd.pl.bz2

PreReq: foomatic-db-engine = %version
PreReq: printer-drivers-utils

#we need foomatic-kitload during install
BuildPreReq: foomatic-db-engine cups >= 1.2.1

# Automatically added by buildreq on Fri May 26 2006 (-bi)
BuildRequires: cups foomatic-db-engine

%description
This package is the Foomatic database, an XML database containing                                   
information about the capabilities of near 1000 printers and around                                 
250 drivers. Especially it contains the information how and with which                              
options the drivers have to be executed.

The site http://www.linuxprinting.org/ is based in this database.

%prep
%setup -q -n %name-%snapshot


%build
./make_configure
%configure --disable-gzip-ppds

# "make" is not needed for this package, there is nothing to build

# Delete drivers which are not on the distro (obsolete drivers which are
# replaced by a new driver with a different name)
# "stp" replaced by "gimp-print"/"gutenprint"
rm -f db/source/driver/stp.xml
# "cZ11" replaced by "cZ11somsom"
rm -f db/source/driver/cZ11.xml
# "cZ11somsom" replaced by "lz11"
rm -f db/source/driver/cZ11somsom.xml
# "hpdj" replaced by "pcl3"
rm -f db/source/driver/hpdj.xml
# "lxm3200[mcp]" replaced by "lxm3200"
rm -f db/source/driver/lxm3200[mcp].xml
# "lxm3200" replaced by "lxm3200-tweaked"
rm -f db/source/driver/lxm3200.xml
# Japanese drivers which are not in our GhostScript
rm -f db/source/driver/bjc800j.xml
rm -f db/source/driver/bj10.xml

# These drivers come with their own Foomatic data. Remove the files
# from this package
rm -f db/source/*/gimp-print*.xml
rm -f db/source/*/gutenprint*.xml
rm -f db/source/*/foo2*.xml
rm -f db/source/*/lz11*.xml
rm -f db/source/*/m2300w*.xml
rm -f db/source/*/m2400w*.xml
rm -f db/source/[do]*/*[Pp]touch*.xml


# Delete drivers with empty command line prototype, they would give
# unusable printer/driver combos.
FOOMATICDB=`pwd` %_sbindir/foomatic-cleanupdrivers

# Correct the default drivers of the printer entries to have a valid
# default for every printer.
#FOOMATICDB=`pwd` %{_sbindir}/foomatic-preferred-driver

# Correct recommended driver "gimp-print" or "gutenprint", must be 
# "gutenprint-ijs.5.0".
#for f in db/source/printer/*.xml; do
#	perl -p -i -e 's:<driver>(gimp-|guten)print</driver>:<driver>gutenprint-ijs.5.0</driver>:' $f
#done

# Fix HP's PostScript PPDs: "600x600x2dpi" is not Adobe-spec-conforming,
# replace it by "1200x600dpi".
#perl -p -i -e 's/600x600x2dpi/1200x600dpi/' db/source/PPD/*/*/*.ppd

# Fixed default paper tray for HP Business Inkjet 2800.
perl -p -i -e 's/(\*DefaultInputSlot:\s+)Auto/$1Tray1/' db/source/PPD/HP/business_inkjet/HP_Business_Inkjet_2800.ppd

%install
# Install data files
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        install

# Uncompress Perl script for cleaning up the PPD files
bzcat %{SOURCE2} > ./cleanppd.pl
chmod a+rx ./cleanppd.pl

# Do the clean-up
find %buildroot%{_datadir}/foomatic/db/source/PPD -name "*.ppd" -exec ./cleanppd.pl '{}' \;

# Remove PPDs which are not Adobe-compliant and therefore not working with
# CUPS 1.1.20 or newer
for ppd in `find %buildroot%{_datadir}/foomatic/db/source/PPD -name "*.ppd.gz" -print`; do cupstestppd -q $ppd || (rm -f $ppd && echo "$ppd not Adobe-compliant. Deleted." && echo $ppd >> deletedppds-%{name}-%{version}-%{release}.txt); done

for f in %{buildroot}%{_datadir}/foomatic/db/source/*/*.xml; do
  chmod a-x $f
done
chmod a-x %{buildroot}%{_datadir}/foomatic/db/oldprinterids


%post
/usr/bin/update-printers-db

%files
%doc README USAGE ChangeLog
%_datadir/foomatic
#all ppds from linuxprinting site are in cups package
%exclude %_datadir/foomatic/db/source/PPD


%changelog
* Fri May 26 2006 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt3
- replace gutenprint with gimp-print

* Fri May 26 2006 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt2
- new snapshot

* Mon Apr 03 2006 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt1.20060329
- new snapshot

* Thu Apr 14 2005 Stanislav Ievlev <inger@altlinux.org> 3.0.2-alt1.20050404
- 3.0.2 snapshot

* Fri Jan 28 2005 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt3.20040828
- added update-printers-db in post script

* Tue Sep 21 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt2.20040828
- latest snapshot

* Wed May 05 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20040428
- latest snapshot

* Wed Feb 11 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20040128
- new foomatic snapshot
- exclude gimp-print.xml driver

* Fri Dec 26 2003 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20031219
- fix permissions of data files

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt0.20031219
- 3.0.1

* Mon Sep 29 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt3.20030310
- fix build in hasher
- TODO: update database after update of GS

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt2.20030310
- latest snapshot

* Wed Feb 26 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt1.20030213
- Initial release
